Modify Shipping Rate
1 min
PUT
https://api.upstartcommerce.com/v1/order/{orderId}/shipments/{shipmentId}/rates/{rateServiceCode}
orderIdstring<uuid>The parameterized order id in the URI.
shipmentIdstring<uuid>Unique identifier for the shipment that needs to be transitioned.
rateServiceCodestring<p>Unique identifier for the new rate (must correspond to an id in the system).</p>
x-upstart-tenantstringTenant identifier associated with the site this call is for.
200<p>Success-shipping rate updated.</p>
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/order/{orderId}/shipments/{shipmentId}/rates/{rateServiceCode} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'